#
# spec file for package python-tagpy
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-tagpy
Version:        2013.1
Release:        22.7
Summary:        Python Bindings for TagLib
License:        MIT
Group:          Development/Libraries/Python
Source:         http://pypi.python.org/packages/source/t/tagpy/tagpy-%{version}.tar.gz
Patch1:         python-tagpy-no_sleep.patch
Patch2:         python-tagpy-remove_ccopt.patch
Patch3:         tagpy-no-distribute-dep.patch
Url:            http://mathema.tician.de/software/tagpy
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  boost-devel
BuildRequires:  gcc-c++
BuildRequires:  glibc-devel
BuildRequires:  libtag-devel
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  pkgconfig
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  update-desktop-files
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

%description
TagPy is a set of Python bindings for Scott Wheeler's TagLib. It builds upon
Boost.Python, a wrapper generation library which is part of the renowned Boost
set of C++ libraries.

Just like TagLib, TagPy can:
* read and write ID3 tags of version 1 and 2, with many supported frame types
  for version 2 (in MPEG Layer 2 and MPEG Layer 3, FLAC and MPC),
* access Xiph Comments in Ogg Vorbis Files and Ogg Flac Files,
* access APE tags in Musepack and MP3 files.

All these features have their own specific interfaces, but TagLib's generic tag
reading and writing mechanism is also supported.

%prep
%setup -q -n "tagpy-%{version}"
%patch1
%patch2
%patch3 -p1

%build
python configure.py \
    --python-exe="%__python" \
    --prefix="%{_prefix}" \
    --taglib-inc-dir="%{_includedir}/taglib" \
    --boost-python-libname="boost_python-mt"
python setup.py build

%install
python setup.py install --prefix="%{_prefix}" --root="%{buildroot}"

%files
%defattr(-,root,root)
%doc LICENSE
%{python_sitearch}/_tagpy.so
%{python_sitearch}/tagpy/
%{python_sitearch}/tagpy-%{version}-py%{py_ver}.egg-info/

%changelog
* Thu Sep 26 2013 speilicke@suse.com
- Add tagpy-no-distribute-dep.patch: Don't download / depend on
  distribute. Already fixed upstream
* Thu Dec 27 2012 klaussfreire@gmail.com
- Update to version 2013.1
  * Fixed compatibility with taglib 1.8
  * Switch to using explicit taglib prefix
  * Some minor fixes
- Remove patch python-tagpy-taglib18_compat.patch:
  Upstream fix applied
- Rebased patch python-tagpy-remove_ccopt.patch
- Rebased patch python-tagpy-no_sleep.patch
* Thu Nov  8 2012 klaussfreire@gmail.com
- Add patch python-tagpy-taglib18_compat.patch:
  Makes tagpy build with taglib 1.8, now ID3v2::Tag::render is
  overloaded
- Add explicit dependency on python-base
* Sun Feb 26 2012 pascal.bleser@opensuse.org
- initial version (0.94.8)
